%define name    ggiterm 
%define version  0.7.0
%define release 1

Name:           %{name} 
Summary:        A terminal emulator for the GGI graphics library
Version:        %{version} 
Release:        %{release} 
Source0:	%{name}-%{version}.tar.gz
URL:            http://ggiterm.sourceforge.net
Group:          Terminals
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL
Buildrequires:  libggi-devel >= 2.0.5, freetype-devel >= 2.0.9
Requires:       libggi >= 2.0.5, freetype >= 2.0.9 ncurses

%description
A terminal emulator which uses the platform-agnostic GGI library for its
input and display. It can thus be run on any target supported by GGI,
including X Window, the Linux framebuffer, Windows and more exotic setups.

%prep 
%setup -q

%build 
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post
/usr/bin/tic %{_docdir}/%{name}-%{version}/ggiterm.terminfo

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS ChangeLog ggiterm.terminfo ggiterm.termcap
%{_mandir}/man1/ggiterm.1*
%{_bindir}/ggiterm
