/*******************************************************************************

  Copyright(c) 2003-2004 Aurelien Reynaud.

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59
  Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  The full GNU General Public License is included in this distribution in the
  file called COPYING.

*******************************************************************************/


/* GGI */
#include <ggi/ggi.h>
#ifdef HAVE_LIBGG
# include <ggi/gg.h>	/* for ggUSleep () */
#endif


extern ggi_visual_t vis;
extern int cell_w, cell_h;
extern int visible_w, visible_h;
/*extern int virtual_w, virtual_h;*/
extern int current_origin;
extern ggi_pixel color[];
extern int default_bgcolor, default_fgcolor;

void (*render_write_char) (int, int, cell_t, int);
void (*render_write_char) (int, int, cell_t, int);
void (*render_blink_char) (int, int, cell_t, int);
void (*render_delete_chars) (int, int, unsigned int);
void (*render_insert_chars) (int, int, unsigned int);
void (*render_erase_chars) (int, int, unsigned int);
void (*render_erase_line_from) (int, int);
void (*render_erase_line_to) (int, int);
void (*render_erase_line) (int);
void (*render_scroll_up) (int);
void (*render_scroll_up_region) (int, int, int);
void (*render_scroll_down_region) (int, int, int);
void (*render_erase_screen_from) (int, int);
void (*render_erase_screen_to) (int, int);
void (*render_erase_screen) ();
void (*render_flush) ();
void (*render_flash) ();
void (*render_flush_area) (int, int, int, int);

int lowlevel_init (char *font_file, int fontsize, char *title, int *, int *);
void lowlevel_exit ();
